## policykit-1 123

=== meson_options.txt ===
option('session_tracking', type: 'combo', choices: ['libsystemd-login', 'libelogind', 'ConsoleKit'], value: 'ConsoleKit', description: 'session tracking (libsystemd-login/libelogind/ConsoleKit)')
option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')

option('libs-only', type: 'boolean', value: false, description: 'Only build libraries (skips building polkitd)')
option('polkitd_user', type: 'string', value: 'polkitd', description: 'User for running polkitd (polkitd)')

option('authfw', type: 'combo', choices: ['pam', 'shadow', 'bsdauth'], value: 'pam', description: 'Authentication framework (pam/shadow)')
option('os_type', type: 'combo', choices: ['redhat', 'suse', 'gentoo', 'pardus', 'solaris', 'netbsd', 'lfs', ''], value: '', description: 'distribution or OS')

option('pam_include', type: 'string', value: '', description: 'pam file to include')
option('pam_module_dir', type: 'string', value: '', description: 'directory to install PAM security module')
option('pam_prefix', type: 'string', value: '', description: 'specify where pam files go')

option('examples', type: 'boolean', value: false, description: 'Build example programs')
option('tests', type: 'boolean', value: false, description: 'Build tests')
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')

option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('man', type: 'boolean', value: false, description: 'build manual pages')
option('js_engine', type: 'combo', choices: ['mozjs', 'duktape'], value: 'duktape', description: 'javascript engine')

=== debian/changelog ===
policykit-1 (123-1.0nosystemd5) nosystemd; urgency=medium

  * simplier build

 -- anticapitalista <antix@operamail.com>  Wed, 15 Jan 2025 14:41:46 +0200

policykit-1 (123-1.0nosystemd4) unstable; urgency=medium

  * test

 -- anticapitalista <antix@operamail.com>  Sat, 21 Dec 2024 19:55:19 +0200

policykit-1 (123-1.0nosystemd2) nosystemd; urgency=medium

  * added libduktape207 as a dependency

 -- anticapitalista <antix@operamail.com>  Mon, 16 Oct 2023 12:38:38 +0300

policykit-1 (123-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include consolekit options

 -- anticapitalista <antix@operamail.com>  Thu, 03 Aug 2023 00:57:40 +0300

policykit-1 (123-1) unstable; urgency=medium

  * New upstream release
  * Update directory permissions to match upstream hardening
    - /etc/polkit-1/rules.d: was 0700 polkitd:root, now 0750 root:polkitd
      so polkitd cannot modify it
    - /var/lib/polkit-1: same as /etc/polkit-1/rules.d
    - /usr/share/polkit-1/rules.d: was 0700 polkitd:root, now 0755
      root:root since everything in that directory comes from a package
      anyway
  * d/polkitd.postinst: Clean up /var/lib/polkit-1/.cache on upgrades,
    now that polkitd will not re-create it (Closes: #855083)
  * d/tests: Depend on polkitd instead of policykit-1
  * d/tests: Rename cli test to polkitd
  * d/tests: Add a test for pkexec
  * d/p/debian/Don-t-use-PrivateNetwork-yes-for-the-systemd-unit.patch:
    Disable PrivateNetwork=yes for now. This would be good to have,
    but it causes autopkgtest failures under lxc. (Mitigates: #1042880)
  * d/control: Stop recommending polkitd-pkla in policykit-1.
    This is a step towards removing the policykit-1 transitional package
    entirely: it was included in Debian 12 and Ubuntu 22.04, so it has
    served its purpose and should be removed soon.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Aug 2023 12:49:21 +0100

policykit-1 (122-4) unstable; urgency=medium

  * d/control: Remove transitional polkitd-javascript package.
    This package was released in bookworm, and nothing in Debian depends
    on it. It was only relevant for users of certain polkit releases in
    experimental.
  * d/*.install: Move gettext extensions into libpolkit-gobject-1-dev.
    These are generally only needed when building other packages.
    (Closes: #955204)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jun 2023 20:09:41 +0100

=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Michael Biebl <biebl@debian.org>,
 Martin Pitt <mpitt@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-gir,
 docbook-xsl,
 duktape-dev,
 gobject-introspection,
 intltool,
 libconsolekit-dev,
 libexpat1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 meson (>= 0.50.0),
 pkg-config,
 xml-core,
 xsltproc,
 python3-dbusmock <!nocheck>,
Build-Depends-Indep:
 gtk-doc-tools <!nodoc>,
 libglib2.0-doc <!nodoc>,
 libgtk-3-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
Homepage: https://www.freedesktop.org/wiki/Software/polkit/

Package: polkitd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 default-dbus-system-bus | dbus-system-bus,
 consolekit | seatd | default-logind |  logind,
 libduktape207,
 ${misc:Depends},
Suggests:
 polkitd-pkla (>= 121+compat0.1),
Breaks:
 policykit-1 (<< 0.120-4~),
 polkitd-javascript (<< 121+compat0.1-3~),
Replaces:
 policykit-1 (<< 0.120-4~),
 polkitd-javascript (<< 121+compat0.1-3~),
Multi-Arch: foreign
Description: framework for managing administrative policies and privileges
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.
 .
 In a typical use of polkit, an unprivileged application such as gnome-disks
 sends requests via D-Bus or other inter-process communication mechanisms
 to a privileged system service such as udisks, which asks polkitd for
 permission to process those requests. This allows the application to carry
 out privileged tasks without making use of setuid, which avoids several
 common sources of security vulnerabilities.
 .
 This package provides the polkitd D-Bus service and supporting programs.
 The pkexec program is not included, and can be found in the pkexec package.

Package: polkitd-pkla
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (>= 121+compat0.1),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.120-4~),
Replaces:
 policykit-1 (<< 0.120-4~),
Multi-Arch: foreign
Description: Legacy "local authority" (.pkla) backend for polkitd
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package configures the polkitd D-Bus service to read default
 authorization policies from .desktop-style files in subdirectories of
 /var/lib/polkit-1/localauthority. It is compatible with the version of
 polkitd used in Debian 11 and older releases.

Package: pkexec
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.120-4~),
Replaces:
 policykit-1 (<< 0.120-4~),
Multi-Arch: foreign
Description: run commands as another user with polkit authorization
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 pkexec is a setuid program to allow certain users to run commands as
 root or as a different user, similar to sudo. Unlike sudo, it carries
 out authentication and authorization by sending a request to polkit,
 so it uses desktop environments' familiar prompting mechanisms for
 authentication and uses polkit policies for authorization decisions.
 .
 By default, members of the 'sudo' Unix group can use pkexec to run any
 command after authenticating. The authorization rules can be changed by
 the local system administrator.
 .
 If this functionality is not required, removing the pkexec package will
 reduce security risk by removing a setuid program.

Package: policykit-1
Section: oldlibs
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 pkexec (= ${binary:Version}),
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: transitional package for polkitd and pkexec
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This transitional package depends on polkitd, the system service used by
 polkit, and pkexec, a setuid program analogous to sudo. They were
 historically packaged together, but have been separated so that users of
 polkitd are not required to install pkexec.

Package: policykit-1-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: documentation for polkit
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the API documentation of polkit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 libpolkit-gobject-elogind-1-0 | libpolkit-gobject-consolekit-1-0
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package is transitional package, depending on
 libpolkit-gobject-elogind-1-0 or libpolkit-gobject-consolekit-1-0 for upgrades
 of libpolkit-gobject-1-0. It can safely be removed.

Package: libpolkit-gobject-1-dev
Priority: optional
Architecture: all
Section: oldlibs
Depends:
 ${misc:Depends},
 libpolkit-gobject-elogind-1-dev | libpolkit-gobject-consolekit-1-dev
Multi-Arch: foreign
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that allows
 unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package is transitional package, depending on
 libpolkit-gobject-elogind-1-dev or libpolkit-gobject-consolekit-1-dev for
 upgrades of libpolkit-gobject-1-dev. It can safely be removed.

Package: libpolkit-gobject-consolekit-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Conflicts: libpolkit-gobject-elogind-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version})
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing polkit with
 consolekit session management.

Package: libpolkit-gobject-consolekit-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-consolekit-1-0 (= ${binary:Version}),
 ${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-elogind-1-dev
Replaces: libpolkit-gobject-1-dev
Description: polkit Authorization API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-consolekit-1-0.

Package: libpolkit-gobject-elogind-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: libpam-ck-connector, libpolkit-gobject-consolekit-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version}),
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing polkit with
 elogind session management.

Package: libpolkit-gobject-elogind-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-elogind-1-0 (= ${binary:Version}),
 ${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-consolekit-1-dev
Replaces: libpolkit-gobject-1-dev
Description: polkit Authorization API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-elogind-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: polkit Authentication Agent API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libpolkit-agent-1-0 (= ${binary:Version}),
 libpolkit-gobject-1-dev,
 ${misc:Depends},
Description: polkit Authentication Agent API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: gir1.2-polkit-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gir1.2-polkitagent-1.0 (= ${binary:Version}),
Description: GObject introspection data for polkit
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains introspection data for polkit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

%:
	dh $@ --with xml-core

DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

CONFIG_FLAGS_ELOGIND = \
		-Dgtk_doc=true \
		-Dman=true \
		-Dsystemdsystemunitdir=/lib/systemd/system \
		-Dsession_tracking=ConsoleKit

CONFIG_FLAGS_CONSOLEKIT = \
		-Dgtk_doc=false \
		-Dman=false \
		-Dsession_tracking=ConsoleKit

CONFIG_FLAGS_COMMON = \
		-Dintrospection=true \
		-Dexamples=false \
		-Dtests=true

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=build-consolekit
	dh_auto_clean --sourcedirectory=polkit-pkla-compat

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(CONFIG_FLAGS_ELOGIND) \
		$(CONFIG_FLAGS_COMMON) \
		$(NULL)
	dh_auto_configure \
		--builddirectory=build-consolekit \
		-- \
		$(CONFIG_FLAGS_CONSOLEKIT) \
		$(CONFIG_FLAGS_COMMON) \
		$(NULL)
	dh_auto_configure \
		--sourcedirectory=polkit-pkla-compat \
		-- \
		--bindir=/usr/sbin \
		POLKIT_CFLAGS="-I$(CURDIR)/src -I$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src" \
		POLKIT_LIBS="$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/polkit/libpolkit-gobject-1.so" \
		$(compat_configure_flags)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=polkit-pkla-compat

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# on buildds we can't rely on actually having a system bus
	dbus-run-session -- \
		sh -euc 'export DBUS_SYSTEM_BUS_ADDRESS="$$DBUS_SESSION_BUS_ADDRESS"; exec "$$@"' \
		sh \
		dh_auto_test \
		-- \
		$(NULL)
	dbus-run-session -- \
		sh -euc 'export DBUS_SYSTEM_BUS_ADDRESS="$$DBUS_SESSION_BUS_ADDRESS"; exec "$$@"' \
		sh \
		env LD_LIBRARY_PATH="$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src/polkit" \
		dh_auto_test --sourcedirectory=polkit-pkla-compat \
		-- \
		$(NULL)
endif

override_dh_shlibdeps:
	dh_shlibdeps -plibpolkit-gobject-consolekit-1-0 -- -Ldebian/shlibs-consolekit.local
	dh_shlibdeps -plibpolkit-gobject-elogind-1-0 -- -Ldebian/shlibs-elogind.local
	dh_shlibdeps --remaining-packages

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-consolekit --destdir=debian/install/consolekit
	dh_auto_install --sourcedirectory=polkit-pkla-compat

override_dh_install:
	dh_install \
	-plibpolkit-gobject-consolekit-1-0       \
	--sourcedir=debian/install/consolekit

	dh_install -a                           \
	-Nlibpolkit-gobject-consolekit-1-0

	install -d debian/tmp/etc/polkit-1/localauthority.conf.d
	chmod 0700 debian/tmp/etc/polkit-1/localauthority.conf.d
	# on Devuan use sudo group; on Ubuntu, also allow the admin group for
	# historical reasons
	mkdir -p debian/tmp/etc/polkit-1/localauthority.conf.d
	if dpkg-vendor --is ubuntu; then \
		install -m644 debian/49-ubuntu-admin.rules debian/tmp/usr/share/polkit-1/rules.d/; \
	fi
	dh_install

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-consolekit
	dh_auto_clean --builddirectory=build-elogind
	rm -rf debian/install/
	rm -rf build-consolekit/
	rm -rf build-elogind/

## policykit-1 124

=== debian/changelog ===
policykit-1 (124-3) unstable; urgency=medium

  * Drop transitional package policykit-1 (Closes: #1025540)
  * Drop fallback for /usr/libexec/polkitd in postinst (Closes: #1070448)
  * fix: pkexec fails with
    "GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for
    cookie"
    Patch cherry-picked from upstream Git. (Closes: #1068652)
  * Drop support for the pkla backend.
    Drop the legacy polkitd-pkla package.
    It is no longer maintained upstream and was only meant as a temporary
    measure to ease the migration from .pkla to JS based rules files.
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 23:03:15 +0200

policykit-1 (124-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop obsolete lintian override
  * Build-depend on pkgconf instead of pkg-config

  [ Simon McVittie ]
  * d/control: Change policykit-1 dependencies from "equal" to "at least"
    Having transitional packages depend on package (>= x) instead
    of package (= x) means that the transitional package can remain
    installed on user systems even after it has been obsoleted and
    removed, if it's required by third-party software.
  * d/p/Turn-local-modifications-of-mocklibc-into-patches-and-app.patch:
    Add patch to fix FTBFS caused by an implicit declaration.
    Thanks to Michael Biebl (Closes: #1066531)
  * d/.gitignore: Add
  * d/control: Explicitly build-depend on gir1.2-gio-2.0-dev
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all relevant packages
  * d/control: Stop build-depending on libgirepository1.0-dev.
    This is unnecessary now that we depend on gir1.2-gio-2.0-dev and
    a new enough gobject-introspection.
  * d/rules: Enable cross-compilation of gobject-introspection data

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Mar 2024 19:22:27 +0000

policykit-1 (124-1) unstable; urgency=medium

  * Migrate upstream metadata and sources to Github
  * New upstream release
  * Upstream now installs pam.d snippet directly in /usr/lib, drop
    redirection
  * Upstream now ships sysusers.d, drop local copy
  * Bump copyright year ranges in d/copyright
  * Build-depend on systemd-dev and use pkg-config instead of hard-coding
    unit installation directory
  * Update symbols file for 124
  * Override Lintian warning about redundant globbing
  * Drop d/u/signing-key.asc, releases no longer signed
  * Add myself to Uploaders

 -- Luca Boccassi <bluca@debian.org>  Sun, 21 Jan 2024 10:42:09 +0000

policykit-1 (123-3) unstable; urgency=medium

  * d/control: Build-depend on a debhelper supporting system units in /usr/lib.
    This avoids making it too easy to backport a version that won't work
    correctly. Thanks to Michael Biebl

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 09:23:16 +0100

policykit-1 (123-2) unstable; urgency=medium

  * d/clean: Remove unpacked subprojects/mocklibc-1.0/.
    This addresses FTBFS-twice-in-a-row. The subproject is provided in the
    upstream tarball as source code packed in a zip file, rather than as
    unpacked source. (Closes: #1047511)
  * Install the systemd unit in /usr/lib/systemd/system.
    This was allowed by Technical Committee resolution #1053901. polkit
    has not usually been backported, so it doesn't seem important to make
    backports trivial for this particular package.

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Oct 2023 09:20:30 +0100

=== debian/control ===
Source: policykit-1
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Michael Biebl <biebl@debian.org>,
 Martin Pitt <mpitt@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper (>= 13.11.6~),
 debhelper-compat (= 13),
 dh-sequence-gir,
 docbook-xsl,
 duktape-dev,
 gir1.2-gio-2.0-dev,
 gobject-introspection (>= 1.78.1-9~),
 intltool,
 libexpat1-dev,
 libglib2.0-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libsystemd-dev [linux-any],
 systemd-dev [linux-any],
 meson (>= 0.50.0),
 pkgconf,
 xml-core,
 xsltproc,
 python3-dbusmock <!nocheck>,
Build-Depends-Indep:
 gtk-doc-tools <!nodoc>,
 libglib2.0-doc <!nodoc>,
 libgtk-3-doc <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
Homepage: https://github.com/polkit-org/polkit/

Package: polkitd
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser | systemd-sysusers,
 default-dbus-system-bus | dbus-system-bus,
 default-logind | logind,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.120-4~),
 polkitd-javascript (<< 121+compat0.1-3~),
Replaces:
 policykit-1 (<< 0.120-4~),
 polkitd-javascript (<< 121+compat0.1-3~),
Multi-Arch: foreign
Description: framework for managing administrative policies and privileges
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 It is a framework for centralizing the decision making process with respect to
 granting access to privileged operations for unprivileged (desktop)
 applications.
 .
 In a typical use of polkit, an unprivileged application such as gnome-disks
 sends requests via D-Bus or other inter-process communication mechanisms
 to a privileged system service such as udisks, which asks polkitd for
 permission to process those requests. This allows the application to carry
 out privileged tasks without making use of setuid, which avoids several
 common sources of security vulnerabilities.
 .
 This package provides the polkitd D-Bus service and supporting programs.
 The pkexec program is not included, and can be found in the pkexec package.

Package: pkexec
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 polkitd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 policykit-1 (<< 0.120-4~),
Replaces:
 policykit-1 (<< 0.120-4~),
Multi-Arch: foreign
Description: run commands as another user with polkit authorization
 polkit is an application-level toolkit for defining and handling the policy
 that allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 pkexec is a setuid program to allow certain users to run commands as
 root or as a different user, similar to sudo. Unlike sudo, it carries
 out authentication and authorization by sending a request to polkit,
 so it uses desktop environments' familiar prompting mechanisms for
 authentication and uses polkit policies for authorization decisions.
 .
 By default, members of the 'sudo' Unix group can use pkexec to run any
 command after authenticating. The authorization rules can be changed by
 the local system administrator.
 .
 If this functionality is not required, removing the pkexec package will
 reduce security risk by removing a setuid program.

Package: policykit-1-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Description: documentation for polkit
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the API documentation of polkit.

Package: libpolkit-gobject-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: polkit Authorization API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing polkit.

Package: libpolkit-gobject-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libglib2.0-dev,
 libpolkit-gobject-1-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Provides:
 ${gir:Provides},
Breaks:
 polkitd (<< 122-4~),
Replaces:
 polkitd (<< 122-4~),
Description: polkit Authorization API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-gobject-1-0.

Package: libpolkit-agent-1-0
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: polkit Authentication Agent API
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains a library for accessing the authentication agent.

Package: libpolkit-agent-1-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-polkit-1.0 (= ${binary:Version}),
 libpolkit-agent-1-0 (= ${binary:Version}),
 libpolkit-gobject-1-dev,
 ${gir:Depends},
 ${misc:Depends},
Provides:
 ${gir:Provides},
Description: polkit Authentication Agent API - development files
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains the development files for the library found in
 libpolkit-agent-1-0.

Package: gir1.2-polkit-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 gir1.2-polkitagent-1.0 (= ${binary:Version}),
 ${gir:Provides},
Description: GObject introspection data for polkit
 polkit is a toolkit for defining and handling the policy that
 allows unprivileged processes to speak to privileged processes.
 It was previously named PolicyKit.
 .
 This package contains introspection data for polkit.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

%:
	dh $@ --with xml-core

DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

configure_flags =
compat_configure_flags =

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
configure_flags += -Dsession_tracking=libsystemd-login
else
configure_flags += -Dsession_tracking=ConsoleKit
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
configure_flags += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dexamples=false \
		-Dintrospection=true \
		-Dman=true \
		-Dtests=true \
		$(configure_flags)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# on buildds we can't rely on actually having a system bus
	dbus-run-session -- \
		sh -euc 'export DBUS_SYSTEM_BUS_ADDRESS="$$DBUS_SESSION_BUS_ADDRESS"; exec "$$@"' \
		sh \
		dh_auto_test \
		-- \
		$(NULL)
endif

override_dh_install:
	# on Debian use sudo group; on Ubuntu, also allow the admin group for
	# historical reasons
	if dpkg-vendor --is ubuntu; then \
		install -m644 debian/49-ubuntu-admin.rules debian/tmp/usr/share/polkit-1/rules.d/; \
	fi
	dh_install

override_dh_installsystemd:
	dh_installsystemd --no-start --restart-after-upgrade

## policykit-1 125

=== meson_options.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-option('session_tracking', type: 'combo', choices: ['libsystemd-login', 'libelogind', 'ConsoleKit'], value: 'ConsoleKit', description: 'session tracking (libsystemd-login/libelogind/ConsoleKit)')
+option('session_tracking', type: 'combo', choices: ['logind', 'elogind', 'ConsoleKit'], value: 'logind', description: 'session tracking (logind/elogind/ConsoleKit)')
 option('systemdsystemunitdir', type: 'string', value: '', description: 'custom directory for systemd system units')
 
 option('libs-only', type: 'boolean', value: false, description: 'Only build libraries (skips building polkitd)')
 option('polkitd_user', type: 'string', value: 'polkitd', description: 'User for running polkitd (polkitd)')
+option('polkitd_uid', type: 'string', value: '-', description: 'Fixed UID for user running polkitd (polkitd)')
 
 option('authfw', type: 'combo', choices: ['pam', 'shadow', 'bsdauth'], value: 'pam', description: 'Authentication framework (pam/shadow)')
 option('os_type', type: 'combo', choices: ['redhat', 'suse', 'gentoo', 'pardus', 'solaris', 'netbsd', 'lfs', ''], value: '', description: 'distribution or OS')

=== debian/changelog ===
policykit-1 (125-2ubuntu1) plucky; urgency=medium

  * debian/patches/git-action-directories.patch:
    - cherry pick an upstream change to allow alternative directories for
      the actions files (lp: #2089145)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Nov 2024 13:57:28 +0100

policykit-1 (125-2) unstable; urgency=medium

  * Mark policykit-1-doc as MA foreign
  * Add patch to gracefully skip unit tests without permission to unshare

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Aug 2024 17:54:02 +0100

policykit-1 (125-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/125'
  * Drop patches merged upstream
  * Drop patch to remove PrivateNetwork=, no longer needed
  * Adjust Meson option for new syntax
  * Drop Debian-specific tmpfiles.d and use upstream's
  * Enable ELF metadata stamping
  * Update d/copyright, mocklibc has been dropped upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Aug 2024 15:22:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Michael Biebl <biebl@debian.org>,
  Martin Pitt <mpitt@debian.org>,
@@ -11,6 +12,7 @@
  dbus-daemon <!nocheck>,
  debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
+ dh-package-notes,
  dh-sequence-gir,
  docbook-xsl,
  duktape-dev,
@@ -108,6 +110,7 @@
 Package: policykit-1-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 built_binaries := $(shell dh_listpackages)
 
@@ -23,7 +24,7 @@
 endif
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-configure_flags += -Dsession_tracking=libsystemd-login
+configure_flags += -Dsession_tracking=logind
 else
 configure_flags += -Dsession_tracking=ConsoleKit
 endif

## policykit-1 126

=== meson_options.txt ===
--- 
+++ 
@@ -4,9 +4,10 @@
 option('libs-only', type: 'boolean', value: false, description: 'Only build libraries (skips building polkitd)')
 option('polkitd_user', type: 'string', value: 'polkitd', description: 'User for running polkitd (polkitd)')
 option('polkitd_uid', type: 'string', value: '-', description: 'Fixed UID for user running polkitd (polkitd)')
+option('privileged_group', type: 'string', value: '', description: 'Group to use for default privileged access (default: wheel)')
 
 option('authfw', type: 'combo', choices: ['pam', 'shadow', 'bsdauth'], value: 'pam', description: 'Authentication framework (pam/shadow)')
-option('os_type', type: 'combo', choices: ['redhat', 'suse', 'gentoo', 'pardus', 'solaris', 'netbsd', 'lfs', ''], value: '', description: 'distribution or OS')
+option('os_type', type: 'combo', choices: ['redhat', 'suse', 'gentoo', 'pardus', 'solaris', 'netbsd', 'lfs', 'openembedded', 'debian', ''], value: '', description: 'distribution or OS')
 
 option('pam_include', type: 'string', value: '', description: 'pam file to include')
 option('pam_module_dir', type: 'string', value: '', description: 'directory to install PAM security module')
@@ -18,4 +19,4 @@
 
 option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
 option('man', type: 'boolean', value: false, description: 'build manual pages')
-option('js_engine', type: 'combo', choices: ['mozjs', 'duktape'], value: 'duktape', description: 'javascript engine')
+option('gettext', type: 'boolean', value: false, description: 'use gettext for translations')

=== debian/changelog ===
policykit-1 (126-2) unstable; urgency=medium

  * Remove obsolete /var/lib/polkit-1/ directory on upgrades

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Jan 2025 20:37:46 +0100

policykit-1 (126-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/126'
  * Drop 08_chdir_root.patch, merged upstream
  * d/rules: use execute_before instead of override
  * polkitd: drop setting permissions for legacy /var/ directory
  * polkitd: drop special handling for polkitd-pkla, dropped
  * Drop gettext patch, merged upstream, and enable it in meson
  * Drop PAM patch and set os_type to Debian, which enables the same
    config
  * Drop sudo group patch and use build config instead
  * Drop test-namespace-skip.patch, merged upstream
  * Drop Lintian source override, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Jan 2025 17:36:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Michael Biebl <biebl@debian.org>,
  Martin Pitt <mpitt@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,9 @@
 		-Dintrospection=true \
 		-Dman=true \
 		-Dtests=true \
+		-Dgettext=true \
+		-Dos_type=debian \
+		-Dprivileged_group=sudo \
 		$(configure_flags)
 
 override_dh_auto_test:
@@ -52,13 +55,12 @@
 		$(NULL)
 endif
 
-override_dh_install:
+execute_before_dh_install:
 	# on Debian use sudo group; on Ubuntu, also allow the admin group for
 	# historical reasons
 	if dpkg-vendor --is ubuntu; then \
 		install -m644 debian/49-ubuntu-admin.rules debian/tmp/usr/share/polkit-1/rules.d/; \
 	fi
-	dh_install
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start --restart-after-upgrade

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(ds|dfsg)[0-9.]*$//, filenamemangle=s/.+\/v?(\d\S*)(@ARCHIVE_EXT@)/policykit-1-$1$2/" \
  https://github.com/polkit-org/polkit/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## policykit-1 127

=== debian/changelog ===
policykit-1 (127-2) unstable; urgency=medium

  [ Andrew Bower ]
  * Fix #1125142 for systems without systemd-sysv installed

  [ Luca Boccassi ]
  * Drop priority from d/control, now defaults to optional
  * Bump Standards-version to 4.7.3
  * Set the reboot-required flag when upgrading from << 127 (Closes:
    #1125141)

 -- Luca Boccassi <bluca@debian.org>  Mon, 09 Feb 2026 14:37:46 +0000

policykit-1 (127-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop debian/clean

  [ Simon McVittie ]
  * d/control: Mark gir1.2-polkit-1.0 as Multi-Arch: same
  * d/control: Mark -dev packages as Multi-Arch: same
  * d/control: Use dpkg-build-api v1 instead of Rules-Requires-Root
  * Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Use recommended recipe

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/127'
    (Closes: #1109334, #1119670, #1094078, #1110748)
    (CVE-2025-7519)
  * Add build dependency on mount for unit tests
  * Install new polkitd.conf and manpage
  * polkitd: start polkit-agent-helper.socket on install/upgrade
  * polkitd: drop postinst workarounds for pre-bookworm
  * polkitd: drop adduser and rely exclusively on sd-sysusers
  * polkitd: do not change perms of /etc/polkit-1/rules.d in postinst and
    rely on tmpfiles.d
  * polkitd: do not set SUID on polkit-agent-helper-1 under systemd
  * Update symbols file for v127

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Dec 2025 18:35:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: policykit-1
 Section: admin
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Michael Biebl <biebl@debian.org>,
@@ -14,6 +13,7 @@
  dh-package-notes,
  dh-sequence-gir,
  docbook-xsl,
+ dpkg-build-api (= 1),
  duktape-dev,
  gir1.2-gio-2.0-dev,
  gobject-introspection (>= 1.78.1-9~),
@@ -25,6 +25,7 @@
  libsystemd-dev [linux-any],
  systemd-dev [linux-any],
  meson (>= 0.50.0),
+ mount <!nocheck>,
  pkgconf,
  xml-core,
  xsltproc,
@@ -33,8 +34,7 @@
  gtk-doc-tools <!nodoc>,
  libglib2.0-doc <!nodoc>,
  libgtk-3-doc <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
 Homepage: https://github.com/polkit-org/polkit/
@@ -44,7 +44,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- adduser | systemd-sysusers,
+ systemd | systemd-standalone-sysusers | systemd-sysusers,
  default-dbus-system-bus | dbus-system-bus,
  default-logind | logind,
  ${misc:Depends},
@@ -140,6 +140,7 @@
 
 Package: libpolkit-gobject-1-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  gir1.2-polkit-1.0 (= ${binary:Version}),
@@ -179,6 +180,7 @@
 
 Package: libpolkit-agent-1-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  gir1.2-polkit-1.0 (= ${binary:Version}),
@@ -199,6 +201,7 @@
 Package: gir1.2-polkit-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends:
  ${gir:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -63,4 +63,5 @@
 	fi
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start --restart-after-upgrade
+	dh_installsystemd -p polkitd --no-start --restart-after-upgrade polkit.service
+	dh_installsystemd -p polkitd --restart-after-upgrade polkit-agent-helper.socket

## policykit-1 127+really126

=== debian/changelog ===
policykit-1 (127+really126-0+kali1) kali-dev; urgency=medium

  * Too many issues with version 127: #9489 #9497. From my test (KDE desktop),
    the agent is not started after a reboot. Moreover, after it's started,
    trying to start a root terminal (Konsole) segfaults.

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 12 Jan 2026 23:15:20 +0700

policykit-1 (126-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Feb 2025 11:19:38 +0100

policykit-1 (125-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 19 Sep 2024 15:47:37 +0700

policykit-1 (124-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 07 May 2024 15:16:46 +0700

policykit-1 (124-1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI
  * Refresh patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 29 Jan 2024 10:19:43 +0700

policykit-1 (123-3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 28 Nov 2023 11:23:29 +0700

policykit-1 (123-1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 22:16:11 +0700

policykit-1 (122-4+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 14:18:53 +0200

policykit-1 (122-3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 13 Feb 2023 10:15:12 +0700

policykit-1 (122-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 31 Jan 2023 10:49:51 +0700

policykit-1 (122-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 02 Nov 2022 13:23:20 +0700

policykit-1 (121+compat0.1-6+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 20 Oct 2022 13:54:26 +0700

policykit-1 (0.105-33+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Mar 2022 08:43:16 +0100

policykit-1 (0.105-32+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Feb 2022 11:40:48 +0100

policykit-1 (0.105-31.1+kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields
  * Sync with Debian
  * Remaining changes:
    + Install etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf
    + pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 26 Jan 2022 12:23:08 +0700

policykit-1 (0.105-31+kali1) kali-dev; urgency=medium

  * Synw with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Jun 2021 14:45:36 +0200

policykit-1 (0.105-30+kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Repository, Repository-Browse.

  [ Arnaud Rebillout ]
  * Install etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 08 Apr 2021 09:47:10 +0700

policykit-1 (0.105-30+kali1) kali-dev; urgency=medium

  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 24 Mar 2021 18:56:26 +0700
